<%@ page import="oracle.portal.provider.v1.*,oracle.portal.provider.v1.http.*,oracle.portal.utils.xml.v1.XMLUtil" session="false" contentType="text/vnd.oracle.mobilexml" %>

<%
    PortletRenderRequest portletRequest = (PortletRenderRequest)
        request.getAttribute(HttpProvider.PORTLET_RENDER_REQUEST);

    NameValuePersonalizationObject data = (NameValuePersonalizationObject)
        PortletRendererUtil.getEditData(portletRequest);

    String title = data.getPortletShortTitle();

    // if short title is empty then use the title
    if (title == null || title.length() == 0)
        title = data.getPortletTitle();

%>

<SimpleHref target="<%=XMLUtil.escapeXMLAttribute(portletRequest.getPageURL())%>">
<%= XMLUtil.escapeXMLText(title) %>
</SimpleHref>


